Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# RealTimeMultiplayer.ReliableMessageSentCallback

com.google.android.gms.games.multiplayer.realtime.RealTimeMultiplayer.ReliableMessageSentCallback

## Class Overview

The listener for callback that is called when a reliable message is sent successfully.

## Summary

Public Methods
abstract void | onRealTimeMessageSent(int statusCode, int tokenId, String recipientParticipantId) Called to notify the client that a reliable message was sent for a room.

## Public Methods

#### public abstract void onRealTimeMessageSent (int statusCode, int tokenId, String recipientParticipantId)

Called to notify the client that a reliable message was sent for a room. Possible status codes include:

- `STATUS_OK` if the message was successfully sent.
- `STATUS_REAL_TIME_MESSAGE_SEND_FAILED` if the attempt to send message failed due to network error.
- `STATUS_REAL_TIME_ROOM_NOT_JOINED` if the attempt to send message failed because the user has not joined the room.

##### Parameters

statusCode | A status code indicating the result of the operation.
tokenId | The ID of the message which was sent.
recipientParticipantId | The participant ID of the peer to whom the message was sent.